local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadGladiusProfile()
local db = LibStub("AceDB-3.0"):New(Gladius2DB, nil, true)

if(Gladius2DB["profiles"]["GennUI"])then
	db:SetProfile("GennUI")
else
	Gladius2DB["profiles"] = {
		["GennUI"] = {
			["modules"] = {
				["Announcements"] = false,
				["Highlight"] = false,
				["Dispel"] = false,
				["Layout"] = false,
			},
			["castBarHeight"] = 14,
			["drTrackerOffsetX"] = 2,
			["powerBarOffsetY"] = 4,
			["castBarTextureUninterruptible"] = "GennUI Melli",
			["classIconCrop"] = true,
			["powerBarHeight"] = 4,
			["trinketCooldown"] = false,
			["drTrackerAdjustSize"] = false,
			["growUp"] = true,
			["drTrackerRelativePoint"] = "RIGHT",
			["tagsVersion"] = 4,
			["castBarWidth"] = 192,
			["locked"] = true,
			["trinketSize"] = 35,
			["x"] = {
				["arena1"] = 998.4007589340035,
			},
			["bottomMargin"] = 17,
			["healthBarBackgroundColor"] = {
				["a"] = 1,
				["r"] = 0.1215686274509804,
				["g"] = 0.1215686274509804,
				["b"] = 0.1215686274509804,
			},
			["castBarDetached"] = true,
			["castBarColor"] = {
				["b"] = 0.309803921568627,
				["g"] = 0.309803921568627,
				["r"] = 0.309803921568627,
			},
			["healthBarHeight"] = 35,
			["powerBarAttachTo"] = "Frame",
			["globalFont"] = "Century Gothic Bold",
			["castBarOffsetY"] = -1,
			["timerSoonFontSize"] = 16,
			["backgroundColor"] = {
				["a"] = 0,
			},
			["castBarColorUninterruptible"] = {
				["b"] = 0.250980392156863,
				["g"] = 0.250980392156863,
				["r"] = 0.780392156862745,
			},
			["drCategories"] = {
				["taunt"] = false,
				["knockback"] = false,
				["root"] = false,
			},
			["dispellIconCrop"] = true,
			["globalFontSize"] = 12,
			["drTrackerMargin"] = 1,
			["direction"] = 1,
			["dispellOffsetX"] = 45,
			["announcements"] = {
				["health"] = false,
				["dest"] = "say",
				["resurrect"] = false,
				["spec"] = false,
				["drinks"] = false,
				["enemies"] = false,
			},
			["drTrackerOffsetY"] = 0,
			["drTrackerAttachTo"] = "Trinket",
			["dispellSize"] = 24,
			["tagsTexts"] = {
				["PowerBar Left Text"] = {
					["text"] = "",
				},
				["HealthBar Right Text"] = {
					["offsetX"] = 0,
					["text"] = "[name:status]",
					["offsetY"] = 18,
					["size"] = 16,
				},
				["HealthBar Left Text"] = {
					["offsetX"] = 0,
					["offsetY"] = -11,
					["text"] = " [health:short]",
					["size"] = 12,
				},
				["HealthBar Power"] = {
					["attachTo"] = "HealthBar",
					["offsetX"] = 0,
					["position"] = "RIGHT",
					["color"] = {
						["a"] = 1,
						["r"] = 0,
						["g"] = 0.9058823529411765,
						["b"] = 1,
					},
					["offsetY"] = -11,
					["text"] = "",
					["size"] = 10,
				},
				["PowerBar Right Text"] = {
					["text"] = "",
				},
			},
			["powerBarBackgroundColor"] = {
				["a"] = 1,
				["r"] = 0.1215686274509804,
				["g"] = 0.1215686274509804,
				["b"] = 0.1215686274509804,
			},
			["drFontSize"] = 12,
			["castBarTexture"] = "GennUI Melli",
			["drTrackerAnchor"] = "LEFT",
			["classIconSize"] = 36,
			["healthBarTexture"] = "GennUI Melli",
			["drTrackerSize"] = 30,
			["powerBarTexture"] = "GennUI Melli",
			["tags"] = {
				["maxhealth"] = {
					["func"] = "function(unit)\nreturn not Gladius.test and UnitHealthMax(unit) or Gladius.testing[unit].maxHealth\nend",
					["events"] = "UNIT_HEALTH UNIT_MAXHEALTH UNIT_NAME_UPDATE",
				},
				["class:short"] = {
					["preparation"] = true,
					["func"] = "function(unit)\nreturn not Gladius.test and Gladius.L[LOCALIZED_CLASS_NAMES_MALE[Gladius.buttons[unit].class]..\":short\"] or Gladius.L[LOCALIZED_CLASS_NAMES_MALE[Gladius.testing[unit].unitClass]..\":short\"]\nend",
					["events"] = "UNIT_NAME_UPDATE",
				},
				["health:short"] = {
					["func"] = "function(unit)\nlocal health = not Gladius.test and UnitHealth(unit) or Gladius.testing[unit].health\nif (health > 999) then\nreturn strformat(\"%.1fk\", (health / 1000))\nelse\nreturn health\nend\nend",
					["events"] = "UNIT_HEALTH UNIT_MAXHEALTH UNIT_NAME_UPDATE",
				},
				["class"] = {
					["preparation"] = true,
					["func"] = "function(unit)\nreturn not Gladius.test and LOCALIZED_CLASS_NAMES_MALE[Gladius.buttons[unit].class] or LOCALIZED_CLASS_NAMES_MALE[Gladius.testing[unit].unitClass]\nend",
					["events"] = "UNIT_NAME_UPDATE",
				},
				["power:short"] = {
					["func"] = "function(unit)\nlocal power = not Gladius.test and UnitPower(unit) or Gladius.testing[unit].power\nif (power > 999) then\nreturn strformat(\"%.1fk\", (power / 1000))\nelse\nreturn power\nend\nend",
					["events"] = "UNIT_POWER_UPDATE UNIT_DISPLAYPOWER UNIT_NAME_UPDATE",
				},
				["race"] = {
					["func"] = "function(unit)\nreturn not Gladius.test and UnitRace(unit) or Gladius.testing[unit].unitRace\nend",
					["events"] = "UNIT_NAME_UPDATE",
				},
				["maxpower:short"] = {
					["func"] = "function(unit)\nlocal power = not Gladius.test and UnitPowerMax(unit) or Gladius.testing[unit].maxPower\nif (power > 999) then\nreturn strformat(\"%.1fk\", (power / 1000))\nelse\nreturn power\nend\nend",
					["events"] = "UNIT_MAXPOWER UNIT_DISPLAYPOWER UNIT_NAME_UPDATE",
				},
				["power"] = {
					["func"] = "function(unit)\nreturn not Gladius.test and UnitPower(unit) or Gladius.testing[unit].power\nend",
					["events"] = "UNIT_POWER_UPDATE UNIT_DISPLAYPOWER UNIT_NAME_UPDATE",
				},
				["name:status"] = {
					["func"] = "function(unit)\nreturn UnitIsDeadOrGhost(unit) and Gladius.L[\"DEAD\"] or (UnitName(unit) or unit)\nend",
					["events"] = "UNIT_NAME_UPDATE UNIT_HEALTH",
				},
				["spec"] = {
					["preparation"] = true,
					["func"] = "function(unit)\nreturn Gladius.test and Gladius.testing[unit].unitSpec or Gladius.buttons[unit].spec\nend",
					["events"] = "UNIT_NAME_UPDATE GLADIUS_SPEC_UPDATE",
				},
				["power:percentage"] = {
					["func"] = "function(unit)\nlocal power = not Gladius.test and UnitPower(unit) or Gladius.testing[unit].power\nlocal maxPower = not Gladius.test and UnitPowerMax(unit) or Gladius.testing[unit].maxPower\nreturn strformat(\"%.1f%%\", (power / maxPower * 100))\nend",
					["events"] = "UNIT_POWER_UPDATE UNIT_MAXPOWER UNIT_DISPLAYPOWER UNIT_NAME_UPDATE",
				},
				["name"] = {
					["func"] = "function(unit)\nreturn UnitName(unit) or unit\nend",
					["events"] = "UNIT_NAME_UPDATE",
				},
				["spec:short"] = {
					["preparation"] = true,
					["func"] = "function(unit)\nlocal spec = Gladius.test and Gladius.testing[unit].unitSpec or Gladius.buttons[unit].spec\nif (spec == nil or spec == \"\") then\nreturn \"\"\nend\nreturn Gladius.L[spec..\":short\"]\nend",
					["events"] = "UNIT_NAME_UPDATE GLADIUS_SPEC_UPDATE",
				},
				["health:percentage"] = {
					["func"] = "function(unit)\nlocal health = not Gladius.test and UnitHealth(unit) or Gladius.testing[unit].health\nlocal maxHealth = not Gladius.test and UnitHealthMax(unit) or Gladius.testing[unit].maxHealth\nreturn strformat(\"%.1f%%\", (health / maxHealth * 100))\nend",
					["events"] = "UNIT_HEALTH UNIT_MAXHEALTH UNIT_NAME_UPDATE",
				},
				["maxpower"] = {
					["func"] = "function(unit)\nreturn not Gladius.test and UnitPowerMax(unit) or Gladius.testing[unit].maxPower\nend",
					["events"] = "UNIT_MAXPOWER UNIT_DISPLAYPOWER UNIT_NAME_UPDATE",
				},
				["maxhealth:short"] = {
					["func"] = "function(unit)\nlocal health = not Gladius.test and UnitHealthMax(unit) or Gladius.testing[unit].maxHealth\nif (health > 999) then\nreturn strformat(\"%.1fk\", (health / 1000))\nelse\nreturn health\nend\nend",
					["events"] = "UNIT_HEALTH UNIT_MAXHEALTH UNIT_NAME_UPDATE",
				},
				["health"] = {
					["func"] = "function(unit)\nreturn not Gladius.test and UnitHealth(unit) or Gladius.testing[unit].health\nend",
					["events"] = "UNIT_HEALTH UNIT_MAXHEALTH UNIT_NAME_UPDATE",
				},
			},
			["useGlobalFontSize"] = false,
			["classIconShowSpec"] = true,
			["castBarBackgroundColor"] = {
				["a"] = 0,
			},
			["auraVersion"] = 1,
			["backgroundPadding"] = 2,
			["y"] = {
				["arena1"] = 329.9553832499223,
			},
		},
		},

	db:SetProfile("GennUI")
end
end
